com.rscja.custom

## Class UHFCSYXForURx

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.qcom.deviceapi.RFIDWithUHFUrxUart_qcom
    - - com.rscja.custom.UHFCSYXForURx

- All Implemented Interfaces:
    IMultipleAntenna, IRFIDWithUHFUrxUart, IUHF, IUHFURx

      public class UHFCSYXForURx
      extends RFIDWithUHFUrxUart_qcom

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `free()` 关闭UHF模块 Switch OFF UHF module
    `static UHFCSYXForURx` | `getInstance()`
    `UHFCSYX.TagAuthenticationResponseInfo` | `inventorySingleTagResponseInfo()`
    `void` | `setInventoryCallback(UHFCSYX.IUHFInventoryCallback inventoryCallback)`
    `boolean` | `setInventoryMessageMode()`
    `boolean` | `startInventoryTag()` 启动识别Tag循环，只是开启识别Tag循环，之后将识别到的标签号上传到缓冲区， `RFIDWithUHFUrxUart_qcom.readTagFromBuffer()` Enable Tag auto reading and upload tag number to buffer, `RFIDWithUHFUrxUart_qcom.readTagFromBuffer()` 用于从缓冲区读取一个标签号数据，开启循环识别之后，模块只能响应`RFIDWithUHFUrxUart_qcom.stopInventory()`函数 。 Read tag data from buffer, after switch on auto reading, module will give feedback to `RFIDWithUHFUrxUart_qcom.stopInventory()` only.
    `boolean` | `stopInventory()` 停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程 Stop auto reading, after call this function to exit sub threads of tag data of buffer.

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.RFIDWithUHFUrxUart_qcom

      `blockWriteData, disableBeep, enableBeep, eraseData, eraseData, generateLockCode, getANT, getAntennaConnectState, getAntennaPower, getAntennaPower, getConnectStatus, getCW, getDestIP, getEPCAndTIDUserMode, getErrCode, getFrequencyMode, getGen2, getInputStatus, getProtocol, getRFLink, getSTM32Version, getTemperature, getTriggerWorkModePara, getUhfReaderIP, getVersion, getWorkMode, init, inventorySingleTag, isEnableBeep, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setANT, setAntennaPower, setConnectionStatusCallback, setCW, setDestIP, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRelayStatus, setRFLink, setTagFocus, setTriggerWorkModePara, setUart, setUhfReaderIP, setWorkMode, startInventoryTag, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfJump2BootSTM32, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `factoryReset, getFastInventoryMode, readTcpServiceState, setEPCAndTIDUserMode, setFastInventoryMode, setOnLowBatteryListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFURx

      `factoryReset, getFastInventoryMode, setFastInventoryMode`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `setEPCAndTIDUserMode`

- - ### Method Detail

    - #### getInstance

          public static UHFCSYXForURx getInstance()

    - #### inventorySingleTagResponseInfo

          public UHFCSYX.TagAuthenticationResponseInfo inventorySingleTagResponseInfo()

    - #### setInventoryMessageMode

          public boolean setInventoryMessageMode()

    - #### startInventoryTag

          public boolean startInventoryTag()

      Description copied from class: `RFIDWithUHFUrxUart_qcom`
      启动识别Tag循环，只是开启识别Tag循环，之后将识别到的标签号上传到缓冲区， `RFIDWithUHFUrxUart_qcom.readTagFromBuffer()`
      Enable Tag auto reading and upload tag number to buffer, `RFIDWithUHFUrxUart_qcom.readTagFromBuffer()`
      用于从缓冲区读取一个标签号数据，开启循环识别之后，模块只能响应`RFIDWithUHFUrxUart_qcom.stopInventory()`函数 。
      Read tag data from buffer, after switch on auto reading, module will give feedback to `RFIDWithUHFUrxUart_qcom.stopInventory()` only.
      `RFIDWithUHFUrxUart_qcom.stopInventory()` 停止识别循环(Stop auto reading)
      `RFIDWithUHFUrxUart_qcom.readTagFromBuffer()` 获取冲区的数据(get data from buffer)
      Specified by:
        `startInventoryTag` in interface `IUHF`
      Overrides:
        `startInventoryTag` in class `RFIDWithUHFUrxUart_qcom`
      Returns:
        true:成功(success) false:失败(failure)

    - #### stopInventory

          public boolean stopInventory()

      Description copied from class: `RFIDWithUHFUrxUart_qcom`
      停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程
      Stop auto reading, after call this function to exit sub threads of tag data of buffer.
      Specified by:
        `stopInventory` in interface `IUHF`
      Overrides:
        `stopInventory` in class `RFIDWithUHFUrxUart_qcom`
      Returns:
        true:成功(success) false:失败(failure)

    - #### free

          public boolean free()

      Description copied from class: `RFIDWithUHFUrxUart_qcom`
      关闭UHF模块
      Switch OFF UHF module
      Specified by:
        `free` in interface `IUHF`
      Overrides:
        `free` in class `RFIDWithUHFUrxUart_qcom`
      Returns:
        true:成功(success) false:失败(failure)

    - #### setInventoryCallback

          public void setInventoryCallback(UHFCSYX.IUHFInventoryCallback inventoryCallback)